apiVersion: oadp.openshift.io/v1alpha1
kind: DataProtectionApplication
metadata:
  name: openshift-dpa
  namespace: openshift-adp
spec:
  backupLocations:
    - velero:
        config:
          insecureSkipTLSVerify: 'true'
          profile: default
          region: ap-southeast-1
          s3ForcePathStyle: 'true'
          s3Url: 'https://s3-openshift-storage.apps.jnk77.dynamic.opentlc.com'
        credential:
          key: cloud
          name: cloud-credentials
        default: true
        objectStorage:
          bucket: migstorage
          prefix: velero
        provider: aws
  configuration:
    restic:
      enable: false
    velero:
      defaultPlugins:
        - openshift
        - aws
        - csi
        - vsm
      featureFlags:
        - EnableCSI
  features:
    dataMover:
      credentialName: dm-restic-secret
      enable: true
      volumeOptionsForStorageClasses:
        ocs-storagecluster-ceph-rbd:
          sourceVolumeOptions:
            storageClassName: ocs-storagecluster-ceph-rbd
            cacheStorageClassName: ocs-storagecluster-ceph-rbd
          destinationVolumeOptions:
            storageClassName: ocs-storagecluster-ceph-rbd
            cacheStorageClassName: ocs-storagecluster-ceph-rbd
